stages:
  - build
  - deploy

build:
  image: composer:latest
  stage: build
  cache:
    key: km-portal-php-cache-${CI_COMMIT_REF_SLUG}
    paths:
      - vendor/
  tags: 
    - $RUNNER_LINUX
  script:
  - composer install --no-dev
  - mv vendor vendor_links
  - mkdir vendor
  - cp -RLvp vendor_links/* vendor/
  - rm -Rf vendor_links
  
deploy:
  image: minidocks/lftp
  stage: deploy
  tags: 
    - $RUNNER_LINUX
  cache:
    key: km-portal-php-cache-${CI_COMMIT_REF_SLUG}
    paths:
      - vendor/
    policy: pull
  script:
  - lftp -c "set ftp:ssl-allow no; open -u $USERNAME,$PASSWORD $HOST; cd www/karaokes.moe; mirror -Rpnev --exclude logs/ --exclude .gitlab-ci.yml --exclude cache.zip --exclude .git"
  only:
  - master
